<template>
	<yw-dialog v-model="isShow" :showFooter="false" width="500" :title="title">
		<el-form label-width="56" v-if="item.config">
			<el-form-item v-for="key in Object.keys(item.config)" :label="keyMapLabel[key]" :key="key">
				<el-input v-model="item.config[key]" readonly />
			</el-form-item>
		</el-form>
	</yw-dialog>
</template>

<script setup lang="ts" name="ModelConfigDlg">
import _ from 'lodash';
import { computed, ref, watch } from 'vue';
import ywDialog from '/@/components/dialog/yw-dialog.vue';

const props = defineProps(['item']);
const isShow = defineModel({
	type: Boolean,
});
const keyMapLabel = {
	model: '模型',
};
const title = computed(() => props.item?.title + '——配置');

// 计算最长的label宽度
// const labelWidth = computed(() => {
// 	const labels = ['模型'];
// 	const maxLengthLabel = labels.reduce((prev, current) => {
// 		return prev.length > current.length ? prev : current;
// 	}, '');
// 	// 每个中文字符按16px计算,额外加20px留白
// 	return `${maxLengthLabel.length * 16 + 20}px`;
// });
</script>
<style scoped lang="scss">
:deep(.el-card__body) {
	position: relative;
}
</style>
